NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign Class Reference

Represents the Flexible Printed Circuit Design preferences applicable to part
Preferences are in control of the part. More...

Classes

struct  FlatPatternCalloutTypeDisplay
 The members of the following structure are the display data for a callout in a flat pattern drawing member view. More...
 
struct  FlatPatternObjectTypeDisplay
 The members of the following structure are the display data for an object in a flat pattern drawing member view. More...
 
struct  PlanarSegmentCurveTypeDisplayData
 The members of the following structure are the display data. More...
 

Public Types

enum  FlatPatternCalloutOrientationType { FlatPatternCalloutOrientationTypeLeadered, FlatPatternCalloutOrientationTypeAligned }
 This enum represents orientation types for the flat pattern callouts. More...
 
enum  FlatPatternObjectType {
  FlatPatternObjectTypeBendCenterLine, FlatPatternObjectTypeBendUpCenterLine, FlatPatternObjectTypeBendDownCenterLine, FlatPatternObjectTypeBendTangentLine,
  FlatPatternObjectTypeOuterMoldLine, FlatPatternObjectTypeInnerMoldLine, FlatPatternObjectTypeExteriorCurves, FlatPatternObjectTypeInteriorCurves,
  FlatPatternObjectTypeInteriorCutoutCurves, FlatPatternObjectTypeInteriorFeatureCurves, FlatPatternObjectTypeLighteningHoleCenter, FlatPatternObjectTypeJoggleLine,
  FlatPatternObjectTypeAddedTopGeometry, FlatPatternObjectTypeAddedBottomGeometry, FlatPatternObjectTypeToolMarker
}
 The members of the following enumerated type are used to identify object types to the FlatPattern API. More...
 
enum  FlexibleCableContactFaceOptions { FlexibleCableContactFaceOptionsTopFace, FlexibleCableContactFaceOptionsBottomFace }
 This enum represents the face that is the contact face of the Flexible Cable. More...
 
enum  PlanarSegmentCurveType { PlanarSegmentCurveTypeBendCenterLine, PlanarSegmentCurveTypeBendTangentLine }
 The following members are used to identify curve types of planar segment feature. More...
 

Public Member Functions

void Commit ()
 Commits and applies all the settings done with set_callout_type_display and set_object_type_display. More...
 
NXOpen::ExpressionGetBendRadius ()
 Returns the bend radius expression. More...
 
NXOpen::ExpressionGetBendReliefDepth ()
 Returns the bend relief depth. More...
 
NXOpen::ExpressionGetBendReliefWidth ()
 Returns the bend relief width. More...
 
double GetDeviationalToleranceInFlatSolid ()
 Returns the deviational tolerance during Flat Solid simplification. More...
 
void GetFlatPatternAllCalloutTypeDisplay (std::vector< NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay > &displayData)
 Returns the dialog names, identifiers, and enabled status for all the available callout types. More...
 
void GetFlatPatternAllObjectTypeDisplay (std::vector< NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay > &displayData)
 Returns the types, colors, fonts, widths, and enabled status for all the the available object types. More...
 
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutOrientationType GetFlatPatternCalloutOrientationType ()
 Returns the orientation type for flat pattern callouts. More...
 
std::vector< NXStringGetFlatPatternCalloutTypeContents (const NXString &calloutType)
 Returns the contents for a callout type. More...
 
std::vector< NXStringGetFlatPatternCalloutTypeContents (const char *calloutType)
 Returns the contents for a callout type. More...
 
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay GetFlatPatternCalloutTypeDisplay (const NXString &calloutType)
 Returns the display data for a callout type. More...
 
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay GetFlatPatternCalloutTypeDisplay (const char *calloutType)
 Returns the display data for a callout type. More...
 
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay GetFlatPatternObjectTypeDisplay (NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectType objectType)
 Returns the display data for a flat pattern object type. More...
 
NXOpen::NXColorGetFlexibleCableBottomFaceColor ()
 Returns the bottom face color. More...
 
NXOpen::ExpressionGetFlexibleCableConductorSpacing ()
 Returns the conductor spacing expression. More...
 
NXOpen::ExpressionGetFlexibleCableConductorWidth ()
 Returns the conductor width expression. More...
 
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlexibleCableContactFaceOptions GetFlexibleCableContactFace ()
 Returns the contact face. More...
 
NXOpen::ExpressionGetFlexibleCableStrippingLength ()
 Returns the stripping length expression. More...
 
NXOpen::NXColorGetFlexibleCableTopFaceColor ()
 Returns the top face color. More...
 
NXOpen::ExpressionGetHoleTreatmentDiameter ()
 RETURNS the hole treatment diameter value in Flat Pattern operation. More...
 
NXOpen::Features::SheetMetal::FeatureProperty GetHoleTreatmentType ()
 RETURNS the hole treatment type in Flat Pattern operation. More...
 
NXOpen::Features::SheetMetal::FeatureProperty GetInnerCornerTreatmentType ()
 Returns the inner corner treatment type in Flat as Solid operation. More...
 
NXOpen::ExpressionGetInnerCornerTreatmentValue ()
 Returns the inner corner treatment value for Flat as Solid operations. More...
 
bool GetIsBsplineSimplifiedInFlatSolid ()
 Returns the flag indicating whether B-Splines are simplified as part of the Flat Solid creation. More...
 
bool GetIsSystemGeneratedBendReliefRemovedInFlatSolid ()
 Returns the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation. More...
 
NXString GetMaterial ()
 Returns the material name saved with the part. More...
 
std::vector< NXStringGetMaterialNames ()
 Returns the material names defined in the material standards table. More...
 
std::vector< NXStringGetMaterialProperties (const NXString &materialName, std::vector< NXString > &propertyNames)
 Returns the material name saved with the part. More...
 
std::vector< NXStringGetMaterialProperties (const char *materialName, std::vector< NXString > &propertyNames)
 Returns the material name saved with the part. More...
 
double GetMinimumArcToleranceInFlatSolid ()
 Returns the minimum arc tolerance during Flat Solid simplification. More...
 
NXOpen::ExpressionGetNeutralFactor ()
 Returns the neutral factor. More...
 
NXOpen::Features::SheetMetal::FeatureProperty GetOuterCornerTreatmentType ()
 Returns the outer corner treatment type in Flat as Solid operation. More...
 
NXOpen::ExpressionGetOuterCornerTreatmentValue ()
 Returns the out corner treatment value for Flat as Solid operations. More...
 
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::PlanarSegmentCurveTypeDisplayData GetPlanarSegmentCurveTypeDisplayData (NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::PlanarSegmentCurveType curveType)
 Returns the display data of a given planar segment curve type for the Flexible Printed Circuit Design application. More...
 
NXOpen::ExpressionGetThickness ()
 Returns the thickness expression. More...
 
void SetBendRadius (bool updateModel, const NXString &bendRadius)
 Sets the bend radius value
Created in NX4.0.0. More...
 
void SetBendRadius (bool updateModel, const char *bendRadius)
 Sets the bend radius value
Created in NX4.0.0. More...
 
void SetBendReliefDepth (bool updateModel, const NXString &bendReliefDepth)
 Sets the bend relief depth value
Created in NX4.0.0. More...
 
void SetBendReliefDepth (bool updateModel, const char *bendReliefDepth)
 Sets the bend relief depth value
Created in NX4.0.0. More...
 
void SetBendReliefWidth (bool updateModel, const NXString &bendReliefWidth)
 Sets the bend relief depth value
Created in NX4.0.0. More...
 
void SetBendReliefWidth (bool updateModel, const char *bendReliefWidth)
 Sets the bend relief depth value
Created in NX4.0.0. More...
 
void SetDeviationalToleranceInFlatSolid (bool updateModel, double deviationalToleranceInFlatSolid)
 Sets the deviational tolerance during Flat Solid simplification
Created in NX4.0.0. More...
 
void SetFlatPatternCalloutOrientationType (NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutOrientationType orientation)
 Sets the orientation type for flat pattern callouts. More...
 
void SetFlatPatternCalloutTypeContents (const NXString &calloutType, std::vector< NXString > &contents)
 Sets the contents for a callout type. More...
 
void SetFlatPatternCalloutTypeContents (const char *calloutType, std::vector< NXString > &contents)
 Sets the contents for a callout type. More...
 
void SetFlatPatternCalloutTypeDisplay (const NXString &calloutType, const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay &displayData)
 Sets the display data for a callout type. More...
 
void SetFlatPatternCalloutTypeDisplay (const char *calloutType, const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay &displayData)
 Sets the display data for a callout type. More...
 
void SetFlatPatternObjectTypeDisplay (bool updateModel, NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectType objectType, const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay &displayData)
 Sets the display data for a flat pattern object type. More...
 
void SetFlexibleCableBottomFaceColor (NXOpen::NXColor *bottomFaceColor)
 Sets the bottom face color. More...
 
void SetFlexibleCableConductorSpacing (const NXString &conductorSpacing)
 Sets the conductor spacing value string. More...
 
void SetFlexibleCableConductorSpacing (const char *conductorSpacing)
 Sets the conductor spacing value string. More...
 
void SetFlexibleCableConductorWidth (const NXString &conductorWidth)
 Sets the conductor width value string. More...
 
void SetFlexibleCableConductorWidth (const char *conductorWidth)
 Sets the conductor width value string. More...
 
void SetFlexibleCableContactFace (NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlexibleCableContactFaceOptions faceOption)
 Sets the contact face. More...
 
void SetFlexibleCableStrippingLength (const NXString &strippingLength)
 Sets the stripping length value string. More...
 
void SetFlexibleCableStrippingLength (const char *strippingLength)
 Sets the stripping length value string. More...
 
void SetFlexibleCableTopFaceColor (NXOpen::NXColor *topFaceColor)
 Sets the top face color. More...
 
void SetHoleTreatmentDiameter (bool updateModel, const NXString &diameter)
 SETS the hole treatment diameter value in Flat Pattern operation
Created in NX12.0.0. More...
 
void SetHoleTreatmentDiameter (bool updateModel, const char *diameter)
 SETS the hole treatment diameter value in Flat Pattern operation
Created in NX12.0.0. More...
 
void SetHoleTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty holeTreatmentType)
 SETS the hole treatment type in Flat Pattern operation
Created in NX12.0.0. More...
 
void SetInnerCornerTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty innerCornerTreatmentType)
 Sets the inner corner treatment type in Flat as Solid operation
Created in NX4.0.0. More...
 
void SetInnerCornerTreatmentValue (bool updateModel, const NXString &innerCornerTreatment)
 Sets the the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0. More...
 
void SetInnerCornerTreatmentValue (bool updateModel, const char *innerCornerTreatment)
 Sets the the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0. More...
 
void SetIsBsplineSimplifiedInFlatSolid (bool updateModel, bool isBsplineSimplifiedInFlatSolid)
 Sets the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation
Created in NX4.0.0. More...
 
void SetIsSystemGeneratedBendReliefRemovedInFlatSolid (bool updateModel, bool isSystemGeneratedBendReliefRemoved)
 Sets the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
Created in NX4.0.0. More...
 
void SetMaterial (bool updateModel, const NXString &standardName)
 Sets the material standard
Created in NX4.0.0. More...
 
void SetMaterial (bool updateModel, const char *standardName)
 Sets the material standard
Created in NX4.0.0. More...
 
void SetMinimumArcToleranceInFlatSolid (bool updateModel, double minimumArcToleranceInFlatSolid)
 Sets the minimum arc tolerance during Flat Solid simplification
Created in NX4.0.0. More...
 
void SetNeutralFactor (bool updateModel, const NXString &neutralFactor)
 Sets the bend relief depth value
Created in NX4.0.0. More...
 
void SetNeutralFactor (bool updateModel, const char *neutralFactor)
 Sets the bend relief depth value
Created in NX4.0.0. More...
 
void SetOuterCornerTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty outerCornerTreatmentType)
 Sets the the outer corner treatment type in Flat as Solid operation
Created in NX4.0.0. More...
 
void SetOuterCornerTreatmentValue (bool updateModel, const NXString &outerCornerTreatment)
 Sets the outer corner treatment value for Flat as Solid operations
Created in NX4.0.0. More...
 
void SetOuterCornerTreatmentValue (bool updateModel, const char *outerCornerTreatment)
 Sets the outer corner treatment value for Flat as Solid operations
Created in NX4.0.0. More...
 
void SetPlanarSegmentCurveTypeDisplayData (bool updateModel, NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::PlanarSegmentCurveType curveType, const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::PlanarSegmentCurveTypeDisplayData &displayData)
 Sets the display data of a given planar segment curve type for the Flexible Printed Circuit Design application. More...
 
void SetThickness (bool updateModel, const NXString &thickness)
 Sets the thickness value string
Created in NX4.0.0. More...
 
void SetThickness (bool updateModel, const char *thickness)
 Sets the thickness value string
Created in NX4.0.0. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents the Flexible Printed Circuit Design preferences applicable to part
Preferences are in control of the part.

They can not be created but can only be changed.

Created in NX4.0.0.

Member Enumeration Documentation

This enum represents orientation types for the flat pattern callouts.

Enumerator
FlatPatternCalloutOrientationTypeLeadered 

Leadered.

FlatPatternCalloutOrientationTypeAligned 

Aligned.

The members of the following enumerated type are used to identify object types to the FlatPattern API.

These are not the usual NX object types; they are ordinary NX objects that are known to the flat pattern feature for the type of outline they provide to a bend region, joggle region, or lightening hole.

Enumerator
FlatPatternObjectTypeBendCenterLine 

Deprecated.

FlatPatternObjectTypeBendUpCenterLine 

bend up center line

FlatPatternObjectTypeBendDownCenterLine 

bend down center line

FlatPatternObjectTypeBendTangentLine 

bend tangent line

FlatPatternObjectTypeOuterMoldLine 

outer mold line

FlatPatternObjectTypeInnerMoldLine 

inner mold line

FlatPatternObjectTypeExteriorCurves 

exterior curves

FlatPatternObjectTypeInteriorCurves 

Deprecated.

FlatPatternObjectTypeInteriorCutoutCurves 

interior cutout curves

FlatPatternObjectTypeInteriorFeatureCurves 

interior feature curves

FlatPatternObjectTypeLighteningHoleCenter 

lightening hole center

FlatPatternObjectTypeJoggleLine 

joggle line

FlatPatternObjectTypeAddedTopGeometry 

added top geometry

FlatPatternObjectTypeAddedBottomGeometry 

added bottom geometry

FlatPatternObjectTypeToolMarker 

tool marker

This enum represents the face that is the contact face of the Flexible Cable.

Enumerator
FlexibleCableContactFaceOptionsTopFace 

Top face.

FlexibleCableContactFaceOptionsBottomFace 

Bottom face.

The following members are used to identify curve types of planar segment feature.

Enumerator
PlanarSegmentCurveTypeBendCenterLine 

bend center line

PlanarSegmentCurveTypeBendTangentLine 

bend tangent line

Member Function Documentation

void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::Commit ( )

Commits and applies all the settings done with set_callout_type_display and set_object_type_display.

It must be called after a sequence of calls to those methods to cause the view to update.
Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetBendRadius ( )

Returns the bend radius expression.

Returns
expression object for radius of bend faces
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetBendReliefDepth ( )

Returns the bend relief depth.

Returns
expression object for depth of bend relief
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetBendReliefWidth ( )

Returns the bend relief width.

Returns
expression object for width of bend relief
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
double NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetDeviationalToleranceInFlatSolid ( )

Returns the deviational tolerance during Flat Solid simplification.

Returns
flag
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternAllCalloutTypeDisplay ( std::vector< NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay > &  displayData)

Returns the dialog names, identifiers, and enabled status for all the available callout types.


Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
displayDataArray of structures with the callout type display data.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternAllObjectTypeDisplay ( std::vector< NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay > &  displayData)

Returns the types, colors, fonts, widths, and enabled status for all the the available object types.


Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
displayDataArray of structures with the object type display data.
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutOrientationType NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutOrientationType ( )

Returns the orientation type for flat pattern callouts.

Returns
The orientation type for the flat pattern callouts.
Created in NX9.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutTypeContents ( const NXString calloutType)

Returns the contents for a callout type.

Returns
The contents for the callout type.
Created in NX9.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
calloutTypeThe name of the callout type for which to get the content.
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutTypeContents ( const char *  calloutType)

Returns the contents for a callout type.

Returns
The contents for the callout type.
Created in NX9.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
calloutTypeThe name of the callout type for which to get the content.
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutTypeDisplay ( const NXString calloutType)

Returns the display data for a callout type.

The name member of the NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.

Returns
The display data for the callout type.
Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
calloutTypeThe name of the callout type for which to get the display data.
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutTypeDisplay ( const char *  calloutType)

Returns the display data for a callout type.

The name member of the NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.

Returns
The display data for the callout type.
Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
calloutTypeThe name of the callout type for which to get the display data.
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternObjectTypeDisplay ( NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectType  objectType)

Returns the display data for a flat pattern object type.

Returns
The display data for the flat pattern object type.
Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
objectTypeThe object type for which to return the display data.
NXOpen::NXColor* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableBottomFaceColor ( )

Returns the bottom face color.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableConductorSpacing ( )

Returns the conductor spacing expression.

Returns
expression object for flexible cable conductor width.
Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableConductorWidth ( )

Returns the conductor width expression.

Returns
expression object for flexible cable conductor width.
Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlexibleCableContactFaceOptions NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableContactFace ( )

Returns the contact face.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableStrippingLength ( )

Returns the stripping length expression.

Returns
expression object for flexible cable conductor width.
Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::NXColor* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableTopFaceColor ( )

Returns the top face color.

Returns

Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetHoleTreatmentDiameter ( )

RETURNS the hole treatment diameter value in Flat Pattern operation.

Returns
expression object for hole diameter value
Created in NX12.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetHoleTreatmentType ( )

RETURNS the hole treatment type in Flat Pattern operation.

Returns
hole treatment type
Created in NX12.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetInnerCornerTreatmentType ( )

Returns the inner corner treatment type in Flat as Solid operation.

Returns
outer corner treatment type
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetInnerCornerTreatmentValue ( )

Returns the inner corner treatment value for Flat as Solid operations.

Returns
expression object for inner corner treatment value
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
bool NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetIsBsplineSimplifiedInFlatSolid ( )

Returns the flag indicating whether B-Splines are simplified as part of the Flat Solid creation.

Returns
flag
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
bool NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetIsSystemGeneratedBendReliefRemovedInFlatSolid ( )

Returns the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation.

Returns
flag
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXString NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMaterial ( )

Returns the material name saved with the part.

Returns
The name of the material saved with the part
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMaterialNames ( )

Returns the material names defined in the material standards table.

Returns

Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMaterialProperties ( const NXString materialName,
std::vector< NXString > &  propertyNames 
)

Returns the material name saved with the part.

Returns
property Values
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
materialNamematerial Name
propertyNamesproperties
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMaterialProperties ( const char *  materialName,
std::vector< NXString > &  propertyNames 
)

Returns the material name saved with the part.

Returns
property Values
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
Parameters
materialNamematerial Name
propertyNamesproperties
double NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMinimumArcToleranceInFlatSolid ( )

Returns the minimum arc tolerance during Flat Solid simplification.

Returns
flag
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetNeutralFactor ( )

Returns the neutral factor.

Returns
expression object for neutral factor of bend areas
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetOuterCornerTreatmentType ( )

Returns the outer corner treatment type in Flat as Solid operation.

Returns
outer corner treatment type
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetOuterCornerTreatmentValue ( )

Returns the out corner treatment value for Flat as Solid operations.

Returns
expression object for out corner treatment value
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::PlanarSegmentCurveTypeDisplayData NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetPlanarSegmentCurveTypeDisplayData ( NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::PlanarSegmentCurveType  curveType)

Returns the display data of a given planar segment curve type for the Flexible Printed Circuit Design application.

Returns
The display data for the planar segment curve type.
Created in NX12.0.0.

License requirements : None
Parameters
curveTypeThe curve type for which to return the display data.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetThickness ( )

Returns the thickness expression.

Returns
expression object for sheet thickness
Created in NX4.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendRadius ( bool  updateModel,
const NXString bendRadius 
)

Sets the bend radius value
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendRadiusdefault bend radius value for bend faces
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendRadius ( bool  updateModel,
const char *  bendRadius 
)

Sets the bend radius value
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendRadiusdefault bend radius value for bend faces
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendReliefDepth ( bool  updateModel,
const NXString bendReliefDepth 
)

Sets the bend relief depth value
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefDepthdefault depth value for bend relief
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendReliefDepth ( bool  updateModel,
const char *  bendReliefDepth 
)

Sets the bend relief depth value
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefDepthdefault depth value for bend relief
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendReliefWidth ( bool  updateModel,
const NXString bendReliefWidth 
)

Sets the bend relief depth value
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefWidthdefault width value for bend relief
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendReliefWidth ( bool  updateModel,
const char *  bendReliefWidth 
)

Sets the bend relief depth value
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefWidthdefault width value for bend relief
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetDeviationalToleranceInFlatSolid ( bool  updateModel,
double  deviationalToleranceInFlatSolid 
)

Sets the deviational tolerance during Flat Solid simplification
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
deviationalToleranceInFlatSolidflag
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutOrientationType ( NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutOrientationType  orientation)

Sets the orientation type for flat pattern callouts.


Created in NX9.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
orientationThe orientation type for the flat pattern callouts.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutTypeContents ( const NXString calloutType,
std::vector< NXString > &  contents 
)

Sets the contents for a callout type.


Created in NX9.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
calloutTypeThe name of the callout type for which to set the content.
contentsThe contents for the callout type.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutTypeContents ( const char *  calloutType,
std::vector< NXString > &  contents 
)

Sets the contents for a callout type.


Created in NX9.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
calloutTypeThe name of the callout type for which to set the content.
contentsThe contents for the callout type.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutTypeDisplay ( const NXString calloutType,
const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay displayData 
)

Sets the display data for a callout type.


Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
calloutTypeThe name of the callout type for which to set the display data.
displayDataThe display data for the callout type.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutTypeDisplay ( const char *  calloutType,
const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay displayData 
)

Sets the display data for a callout type.


Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
calloutTypeThe name of the callout type for which to set the display data.
displayDataThe display data for the callout type.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternObjectTypeDisplay ( bool  updateModel,
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectType  objectType,
const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay displayData 
)

Sets the display data for a flat pattern object type.


Created in NX5.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately.
objectTypeThe object type for which to get the display data.
displayDataThe display data for the flat pattern object type.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableBottomFaceColor ( NXOpen::NXColor bottomFaceColor)

Sets the bottom face color.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
bottomFaceColorBottom face color.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableConductorSpacing ( const NXString conductorSpacing)

Sets the conductor spacing value string.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
conductorSpacingDefault conductor spacing value for the flexible cable.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableConductorSpacing ( const char *  conductorSpacing)

Sets the conductor spacing value string.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
conductorSpacingDefault conductor spacing value for the flexible cable.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableConductorWidth ( const NXString conductorWidth)

Sets the conductor width value string.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
conductorWidthDefault conductor width value for the flexible cable.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableConductorWidth ( const char *  conductorWidth)

Sets the conductor width value string.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
conductorWidthDefault conductor width value for the flexible cable.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableContactFace ( NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlexibleCableContactFaceOptions  faceOption)

Sets the contact face.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
faceOptionContact face options.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableStrippingLength ( const NXString strippingLength)

Sets the stripping length value string.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
strippingLengthDefault stripping length value for the flexible cable.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableStrippingLength ( const char *  strippingLength)

Sets the stripping length value string.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
strippingLengthDefault stripping length value for the flexible cable.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableTopFaceColor ( NXOpen::NXColor topFaceColor)

Sets the top face color.


Created in NX7.5.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
topFaceColorTop face color.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetHoleTreatmentDiameter ( bool  updateModel,
const NXString diameter 
)

SETS the hole treatment diameter value in Flat Pattern operation
Created in NX12.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
diameterdefault value for hole diameter
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetHoleTreatmentDiameter ( bool  updateModel,
const char *  diameter 
)

SETS the hole treatment diameter value in Flat Pattern operation
Created in NX12.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
diameterdefault value for hole diameter
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetHoleTreatmentType ( bool  updateModel,
NXOpen::Features::SheetMetal::FeatureProperty  holeTreatmentType 
)

SETS the hole treatment type in Flat Pattern operation
Created in NX12.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
holeTreatmentTypehole treatment type
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetInnerCornerTreatmentType ( bool  updateModel,
NXOpen::Features::SheetMetal::FeatureProperty  innerCornerTreatmentType 
)

Sets the inner corner treatment type in Flat as Solid operation
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentTypeouter corner treatment type
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetInnerCornerTreatmentValue ( bool  updateModel,
const NXString innerCornerTreatment 
)

Sets the the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentdefault value for inner corner treatment
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetInnerCornerTreatmentValue ( bool  updateModel,
const char *  innerCornerTreatment 
)

Sets the the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentdefault value for inner corner treatment
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetIsBsplineSimplifiedInFlatSolid ( bool  updateModel,
bool  isBsplineSimplifiedInFlatSolid 
)

Sets the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isBsplineSimplifiedInFlatSolidflag
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetIsSystemGeneratedBendReliefRemovedInFlatSolid ( bool  updateModel,
bool  isSystemGeneratedBendReliefRemoved 
)

Sets the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isSystemGeneratedBendReliefRemovedflag
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetMaterial ( bool  updateModel,
const NXString standardName 
)

Sets the material standard
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a material from the material standards file
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetMaterial ( bool  updateModel,
const char *  standardName 
)

Sets the material standard
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a material from the material standards file
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetMinimumArcToleranceInFlatSolid ( bool  updateModel,
double  minimumArcToleranceInFlatSolid 
)

Sets the minimum arc tolerance during Flat Solid simplification
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
minimumArcToleranceInFlatSolidflag
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetNeutralFactor ( bool  updateModel,
const NXString neutralFactor 
)

Sets the bend relief depth value
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
neutralFactordefault neutral factor value for bend relief
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetNeutralFactor ( bool  updateModel,
const char *  neutralFactor 
)

Sets the bend relief depth value
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
neutralFactordefault neutral factor value for bend relief
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetOuterCornerTreatmentType ( bool  updateModel,
NXOpen::Features::SheetMetal::FeatureProperty  outerCornerTreatmentType 
)

Sets the the outer corner treatment type in Flat as Solid operation
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentTypeouter corner treatment type
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetOuterCornerTreatmentValue ( bool  updateModel,
const NXString outerCornerTreatment 
)

Sets the outer corner treatment value for Flat as Solid operations
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentdefault value for out corner treatment
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetOuterCornerTreatmentValue ( bool  updateModel,
const char *  outerCornerTreatment 
)

Sets the outer corner treatment value for Flat as Solid operations
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentdefault value for out corner treatment
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetPlanarSegmentCurveTypeDisplayData ( bool  updateModel,
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::PlanarSegmentCurveType  curveType,
const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::PlanarSegmentCurveTypeDisplayData displayData 
)

Sets the display data of a given planar segment curve type for the Flexible Printed Circuit Design application.


Created in NX12.0.0.

License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately.
curveTypeThe curve type for which to get the display data.
displayDataThe display data for the planar segment curve type.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetThickness ( bool  updateModel,
const NXString thickness 
)

Sets the thickness value string
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
thicknessdefault thickness value for NX Sheetmetal solids
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetThickness ( bool  updateModel,
const char *  thickness 
)

Sets the thickness value string
Created in NX4.0.0.



License requirements : nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
thicknessdefault thickness value for NX Sheetmetal solids
tag_t NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.